Name: 		kcdlabel
Version: 	2.13
Release: 	KDE3
Copyright: 	GPL
Summary: 	KDE
Group: 		KDE
URL:		http://kcdlabel.sourceforge.net/
Source: 	%{name}-%{version}-%{release}.tar.gz
Patch:		%{name}.diff
Requires:	qt
BuildRequires:  qt-devel
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:  i386

%description
K Desktop Environment.
KCDLabel is a KDE program used to create covers, labels
and booklets for your CD cases.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}-%{release}
%patch -p0
convert kcdlabel/icons/mini-kcdlabel.xpm kcdlabel.png

%build
configure --prefix=/opt/kde \
	  --host=i386-pc-linux-gnu \
          --build=i386-pc-linux-gnu \
	  --sysconfdir=/etc \
          --disable-debug \
	  --disable-nls \
	  --without-included-gettext \
          --disable-final \
	  --with-xinerama \
	  --with-extra-libs=/usr/lib \
	  --with-extra-includes=/usr/include \
          --with-install-root=$RPM_BUILD_ROOT \
	  --enable-audio=oss,esd \
	  --enable-tcltk \
	  --with-tcltk \
	  --with-tclx=/usr/lib

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/opt/kde/share/icons/crystalsvg/16x16/apps
cp kcdlabel.png $RPM_BUILD_ROOT/opt/kde/share/icons/crystalsvg/16x16/apps/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
